#include<bits/stdc++.h>
using namespace std;
int main()
{
	long int a;
	cin>>a;
	long int z[a];
	for(int i=1;i<=a;i++)
	{
		cin>>z[i];
	}
	long int max=z[1];
	for(int j=1;j<=a;j++)
	{
		if(z[j]>max)
		max=z[j];
	}
	cout<<max<<endl;
	for(int k=1;k<=a;k++)
	{
		if(z[k]==max)
		cout<<k<<" ";
	}
	return 0;
}
